TARGET = Core
TEMPLATE = lib
CONFIG += staticlib release
CONFIG += create_prl
QMAKE_CXXFLAGS += -Wno-missing-field-initializers

QT -= gui
QT += dbus

include($$PWD/../3rdparty/mtools/mtools.pri)
include($$PWD/../3rdparty/qtkeychain/qtkeychain.pri)

INCLUDEPATH += $$PWD/../3rdparty/include

DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += Core/stash.cpp \
    Core/encfs.cpp \
    Core/stashmanager.cpp \
    Core/settings.cpp \
    Core/helpers.cpp \
    Core/keystore.cpp \
    Core/KeyStores/libsecretkeystore.cpp \
    Core/KeyStores/qtkeychainkeystore.cpp \
    Core/DBus/stashmanager_adaptor.cpp \
    Core/DBus/stashmanager_interface.cpp

HEADERS += Core/stash.h \
    Core/encfs.h \
    Core/stashmanager.h \
    Core/settings.h \
    Core/helpers.h \
    Core/keystore.h \
    Core/KeyStores/libsecretkeystore.h \
    Core/KeyStores/qtkeychainkeystore.h \
    Core/DBus/stashmanager_adaptor.h \
    Core/DBus/stashmanager_interface.h

