#ifndef CHECKBOXITEMDELEGATE_H
#define CHECKBOXITEMDELEGATE_H

#include <QStyledItemDelegate>

class CheckBoxItemDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit CheckBoxItemDelegate(QObject *parent = nullptr);

signals:
    void toggled(QModelIndex index, bool state);

    // QAbstractItemDelegate interface
public:
    void paint(QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override;
    QSize sizeHint(const QStyleOptionViewItem &option, const QModelIndex &index) const override;

    // QAbstractItemDelegate interface
public:
    bool editorEvent(QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index) override;
};

#endif // CHECKBOXITEMDELEGATE_H
