#include "stashmimedata.h"

StashMimeData::StashMimeData() : QMimeData()
{

}

QSharedPointer<Stash> StashMimeData::stash() const
{
    return m_stash;
}

void StashMimeData::setStash(const QSharedPointer<Stash> stash)
{
    if (m_stash == stash) {
        return;
    }

    m_stash = stash;
}


QStringList StashMimeData::formats() const
{
    return QStringList() << QLatin1String("application/vnd.moritzmolch.encfsmanager.stash");
}
