#ifndef MHELPBROWSER_H
#define MHELPBROWSER_H

#include <QMainWindow>

namespace Ui {
class MHelpBrowser;
}

class MHelpBrowser : public QMainWindow
{
    Q_OBJECT

public:
    ~MHelpBrowser();

    static void open(const QString &filename = QLatin1String());

private slots:
    void on_action_Back_triggered();
    void on_action_Forward_triggered();
    void on_actionDecrease_font_size_triggered();
    void on_actionIncrease_font_size_triggered();

private:
    void closeEvent(QCloseEvent *event) override;
    explicit MHelpBrowser(QWidget *parent = 0);
    static MHelpBrowser &instance();
    Ui::MHelpBrowser *ui;
    static MHelpBrowser *m_instance;
};

#endif // MHELPBROWSER_H
